Bug 1391681 - Zanata translations for subscription-manager 1.18 are not 100%
Summary: Zanata translations for subscription-manager 1.18 are not 100%
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.9
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 1395655
TreeView+ depends on / blocked
 
Reported: 2016-11-03 18:32 UTC by John Sefler
Modified: 2017-03-21 10:56 UTC (History)
6 users (show)

Fixed In Version: subscription-manager-1.18.8-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 10:56:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1417731 0 unspecified CLOSED [ko][pt_BR] pofilter endwhitespace test fails for subscription-manager 1.18.X 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1417736 0 unspecified CLOSED [pt_BR][fr][ja] pofilter accelerators test fails for subscription-manager 1.18.X 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1417740 0 unspecified CLOSED [ko] pofilter startwhitespace test fails for subscription-manager 1.18.X 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1417746 0 high CLOSED [it][fr][es_ES][pt_BR] pofilter unchanged test fails for subscription-manager 1.18.X 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2017:0698 0 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2017-03-21 12:39:12 UTC

Internal Links: 1417731 1417736 1417740 1417746

Description John Sefler 2016-11-03 18:32:14 UTC
Description of problem:
Using this bugzilla to block automated translation tests.

Step 1. Devel still needs to go to https://translate.zanata.org/project/view/subscription-manager and create a project for 1.18. using 1.17 as the base.

Step 2. Extract the latest msgids from subscription-manager-1.18 and push them up to the new 1.18 project.

Step 3. When dev complete (string freeze) open a ticket with the translation team to complete all of the untranslated strings.  (cc-ing noriko from the translation team)


Once the translation team has completed their task in Zanata project subscription-manager 1.18.X and the devel team has pulled and merged the new po files into subscription-manager-1.18 targeted for release in RHEL6.9, move this bug to MODIFIED.

Targeted LANGs are:
    de_DE, es_ES, fr, it, ja, ko, pt_BR, ru, zh_CN, zh_TW

Version-Release number:
https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.18.X

Comment 1 John Sefler 2016-11-03 18:39:46 UTC
As of the current subscription-manager build subscription-manager-1.18.3-1.el6 there are about two dozen msgids that have no translations...

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "system_name_grid" 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "View and configure with 'subscription-manager plugins'" 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "Error: This command requires that you specify one of --serial, --pool or --all." 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid " You will need the following to register:" 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "Error: Cannot register with an ID of a Subscription Management Application: %s" 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "The ID of the pool to attach (can be specified more than once)" 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "Error: Can not force registration while attempting to recover registration with consumerid. Please use --force without --consumerid to re-register or use the clean command and try again without --force." 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "Registering to owner: %s environment: %s" 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "If required, please configure your proxy before moving forward. " 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "Consumer profile \"%s\" has been deleted from the server. You can use command clean or unregister to remove local profile." 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "Error: The registered entitlement server does not support remove --pool.
Instead, use the remove --serial option." 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "credentials_grid" 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "Number of subscriptions to attach. May not be used with an auto-attach." 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "Could not read legacy system id at %s" 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "<small>Tip: Forgot your login or password? Look it up at http://redhat.com/forgot_password</small>" 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "Automatically attach only subscriptions matching the specified service level; only used with --auto" 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "This assistant will guide you through the process of registering your system with Red Hat to receive software updates and other benefits. " 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "back_button" 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "<b>Please enter your Red Hat account information:</b>" 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "Error: --quantity may not be used with an auto-attach" 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "Error during registration." 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "the ID of the pool to remove (can be specified more than once)" 

WARNING: Expected 1 occurance (actual='0') of the following msgid in translation file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo':  msgid "consumer_uuid=%s is not a valid consumer_uuid. Not attempting to sync %s cache with server."

SEVERE: Test Failed: VerifyTranslationFileContainsAllMsgids_Test

Comment 3 Noriko Mizumoto 2016-11-18 10:31:35 UTC
Next (and last) translation update is scheduled between 11-17 January, and this bug will be addressed. Exception_? is flagged for snapshot-3.

Targeted LANGs are:
    de_DE, es_ES, fr, it, ja, ko, pt_BR, ru, zh_CN, zh_TW

Version-Release number:
https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.18.X

John,
As I will be delivering the above 10 languages, but not Indic languages. Can you deactivate those via settings? Or if you can add me in as maintainer, I can do that by myself.

Thanks

noriko

Comment 4 Noriko Mizumoto 2017-01-03 03:42:42 UTC
Hi John

The string freeze date was 15-Dec, now the stat says 0.44 hours to update for each language. Could you confirm that this is latest workload to update, as I will soon assign the task to the translators?

https://translate.zanata.org/iteration/view/subscription-manager/1.18.X

Comment 5 vritant 2017-01-03 08:36:28 UTC
Noriko,
I have just updated the translations with the latest changes.

Comment 6 Noriko Mizumoto 2017-01-04 04:22:34 UTC
vritant
Okay, thanks. I see it increased to 0.58 hour. We now have started working, and no further update can be accepted.

Comment 7 Noriko Mizumoto 2017-01-17 04:24:10 UTC
Hi vritant and John

We have now provided 100% translation update on zanata. Please take these update for snapshot-3.
https://translate.zanata.org/iteration/view/subscription-manager/1.18.X/

Thanks

noriko

Comment 9 John Sefler 2017-01-31 13:22:08 UTC
Moving to VERIFIED against version...
[root@bkr-hv03-guest24 ~]# rpm -q subscription-manager
subscription-manager-1.18.8-1.el6.x86_64

Any test failures with the new translations will be opened under separate bugzillas.

Comment 11 errata-xmlrpc 2017-03-21 10:56:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html


Note You need to log in before you can comment on or make changes to this bug.